cURL
curl --request DELETE \
--url https://us.infisical.com/api/v1/projects/{projectId}/environments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/environments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/environments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"projectId": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"position": 123,
"projectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deleteAfter": "2023-11-07T05:31:56Z",
"softDeletedAt": "2023-11-07T05:31:56Z",
"deletedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedByIdentityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Environments
Delete
Delete environment
DELETE
/
api
/
v1
/
projects
/
{projectId}
/
environments
/
{id}
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project to delete the environment from.
The ID of the environment to delete.
Query Parameters
When true, permanently removes the environment. When false or omitted, the environment is soft-deleted (preserved and scheduled for permanent deletion after a grace period) and hidden from subsequent reads.
Available options:
true, false Was this page helpful?
⌘I